package javax.swing;

import javax.swing.event.ChangeListener;
import java.awt.event.ItemListener;
import java.awt.event.ActionListener;
import java.awt.ItemSelectable;

public interface ButtonModel extends ItemSelectable
{
    public abstract boolean isArmed();
    
    public abstract boolean isSelected();
    
    public abstract boolean isEnabled();
    
    public abstract boolean isPressed();
    
    public abstract boolean isRollover();
    
    public abstract void setArmed(boolean p0);
    
    public abstract void setSelected(boolean p0);
    
    public abstract void setEnabled(boolean p0);
    
    public abstract void setPressed(boolean p0);
    
    public abstract void setRollover(boolean p0);
    
    public abstract void setMnemonic(int p0);
    
    public abstract int getMnemonic();
    
    public abstract void setActionCommand(String p0);
    
    public abstract String getActionCommand();
    
    public abstract void setGroup(ButtonGroup p0);
    
    public abstract void addActionListener(ActionListener p0);
    
    public abstract void removeActionListener(ActionListener p0);
    
    public abstract void addItemListener(ItemListener p0);
    
    public abstract void removeItemListener(ItemListener p0);
    
    public abstract void addChangeListener(ChangeListener p0);
    
    public abstract void removeChangeListener(ChangeListener p0);
}
